The payload columns that decide which custom fields apply, per entity type.
curl --request POST \
--url https://app.assetinfinity.ai/api/custom_field_scopes \
--header 'Content-Type: application/json' \
--data '
{
"category_entities": [
"<string>"
],
"entity": "<string>",
"entity_label": "<string>",
"has_site": true,
"scope_columns": [
"<string>"
]
}
'import requests
url = "https://app.assetinfinity.ai/api/custom_field_scopes"
payload = {
"category_entities": ["<string>"],
"entity": "<string>",
"entity_label": "<string>",
"has_site": True,
"scope_columns": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
category_entities: ['<string>'],
entity: '<string>',
entity_label: '<string>',
has_site: true,
scope_columns: ['<string>']
})
};
fetch('https://app.assetinfinity.ai/api/custom_field_scopes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom fields
The payload columns that decide which custom fields apply, per entity type.
POST
/
custom_field_scopes
The payload columns that decide which custom fields apply, per entity type.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
custom_field_scopes
Response
201
Created
Related topics
Custom fieldsPeople and accessRole referenceFinding your way aroundSetting up the plantWas this page helpful?
⌘I

